Loading...
Searching...
No Matches
pcl::common::IntensityFieldAccessor< pcl::PointXYZLAB > Struct Reference

`#include <pcl/common/impl/intensity.hpp>`

## Public Member Functions

float | operator() (const pcl::PointXYZLAB &p) const
void | get (const pcl::PointXYZLAB &p, float &intensity) const
void | set (pcl::PointXYZLAB &p, float intensity) const
void | demean (pcl::PointXYZLAB &p, float value) const
void | add (pcl::PointXYZLAB &p, float value) const

## Detailed Description

Definition at line 280 of file intensity.hpp.

## Member Function Documentation

## add()

void pcl::common::IntensityFieldAccessor< pcl::PointXYZLAB >::add | ( | pcl::PointXYZLAB & | p,
|  | float | value ) const

inline

Definition at line 307 of file intensity.hpp.

References pcl::_PointXYZLAB::L.

## demean()

void pcl::common::IntensityFieldAccessor< pcl::PointXYZLAB >::demean | ( | pcl::PointXYZLAB & | p,
|  | float | value ) const

inline

Definition at line 301 of file intensity.hpp.

References pcl::_PointXYZLAB::L.

## get()

void pcl::common::IntensityFieldAccessor< pcl::PointXYZLAB >::get | ( | const pcl::PointXYZLAB & | p,
|  | float & | intensity ) const

inline

Definition at line 289 of file intensity.hpp.

References pcl::_PointXYZLAB::L.

## operator()()

float pcl::common::IntensityFieldAccessor< pcl::PointXYZLAB >::operator() | ( | const pcl::PointXYZLAB & | p | ) | const

inline

Definition at line 283 of file intensity.hpp.

References pcl::_PointXYZLAB::L.

## set()

void pcl::common::IntensityFieldAccessor< pcl::PointXYZLAB >::set | ( | pcl::PointXYZLAB & | p,
|  | float | intensity ) const

inline

Definition at line 295 of file intensity.hpp.

References pcl::_PointXYZLAB::L.

The documentation for this struct was generated from the following file:

- pcl/common/impl/intensity.hpp